/* 
 * File:   cKlinkTimer.h
 * Author: john
 *
 * Created on 04 April 2011, 1:30 PM
 */

#ifndef CKLINKTIMER_H
#define	CKLINKTIMER_H

#include <stdint.h>

class cKlinkTimer 
{
public:
    cKlinkTimer(uint32_t timeout);
    virtual ~cKlinkTimer();
    uint32_t getDeadline();
    void setTimeout(uint32_t);
    bool isRunning();
    void restart();
    void stop();
private:
    uint64_t mTimeout;
    bool mRunning;
    uint64_t mStart;

};

#endif	/* CKLINKTIMER_H */

